package net.roseindia;

import java.sql.*;


public class ReadData {

	public static void main(String[] args) {

		System.out.println("Read Data Example!");
		Connection con = null;
		String url = "jdbc:mysql://localhost:3306/";
		String db = "jdbcexamples";
		String driver = "com.mysql.jdbc.Driver";
		try {
			Class.forName(driver);
			con = DriverManager.getConnection(url + db, "root", "root");
			try {
					
				Statement st = con.createStatement();
				String selectSQL="SELECT * FROM  employee";
				
				ResultSet res = st.executeQuery(selectSQL);
				 
				  System.out.println("Data:");
				  while (res.next()) {
					  int id = res.getInt("id");
					  String name = res.getString("name");
					  String salary = res.getString("salary");
					  System.out.println("ID: "+ id);
					  System.out.println("Name: "+ name);
					  System.out.println("Salary: "+ salary);
				  }
				  

				System.out.println("Data Displayed");
			} catch (SQLException s) {
				System.out.println("SQL statement is not executed!");
			}

			con.close();
		} catch (Exception e) {
			e.printStackTrace();
		}

	}

}
